import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import Base from 'react-icon-base';
import classnames from 'classnames';
import IconsMap from './mapping/iconsMap';

var BaseIcon = function BaseIcon(props) {
  var name = props.name,
      className = props.className,
      style = props.style,
      other = __rest(props, ["name", "className", "style"]);

  var classNames = classnames(_defineProperty({}, className || '', className || ''));
  return /*#__PURE__*/React.createElement("span", {
    role: "img",
    className: "anticon cuk2-icon-".concat(name.toLowerCase(), " ").concat(classNames)
  }, /*#__PURE__*/React.createElement(Base // @ts-ignore
  , _extends({
    viewBox: IconsMap[name].viewBox,
    style: _extends({
      verticalAlign: 'baseline'
    }, style)
  }, other), // @ts-ignore
  IconsMap[name].svg));
};

export default BaseIcon;